### Function

# PangoCairo create_layout

since: 1.10

#### Declaration [src]

    PangoLayout*
    pango_cairo_create_layout (
      cairo_t* cr
    )

#### Description [src]

Creates a layout object set up to match the current transformation and target surface of the Cairo context.

This layout can then be used for text measurement with functions like `pango_layout_get_size()` or drawing with functions like `pango_cairo_show_layout()`. If you change the transformation or target surface for `cr`, you need to call `pango_cairo_update_layout()`.

This function is the most convenient way to use Cairo with Pango, however it is slightly inefficient since it creates a separate `PangoContext` object for each layout. This might matter in an application that was laying out large amounts of text.

Available since: 1.10

#### Parameters

`cr`

  Type: `cairo_t`

  A Cairo context.

  The data is owned by the caller of the function.

#### Return value

Type: `PangoLayout`

The newly created `PangoLayout`

The caller of the function takes ownership of the data, and is responsible for freeing it.